class UserIdList {
  List<String> _ids;
  String _providerId;

  static UserIdList create(List<String> ids) {
    UserIdList instance = new UserIdList();
    instance._ids = ids;
    return instance;
  }

  static UserIdList createWithProvider(List<String> ids, String providerId) {
    UserIdList instance = new UserIdList();
    instance._ids = ids;
    instance._providerId = providerId;
    return instance;
  }

  Map<String, dynamic> toJSON() => {
    'ids': _ids,
    'provider': (_providerId == null || _providerId.length == 0) ? null : _providerId
  };

  List<String> toStringList() {
    return _ids.map((userId) =>
      _providerId == null ? userId : '$_providerId:$userId'
    ).toList();
  }

}