import '../common/action.dart';
import '../common/codable.dart';

class ActivityButton extends Encodable {
  ActivityButton.fromJSON(Map<String, dynamic> json)
      : title = json['title'],
        action = GetSocialAction.fromJSON(json['action']);

  ActivityButton(String title, GetSocialAction action) {
    this.title = title;
    this.action = action;
  }

  String title;
  GetSocialAction action;

  Map<String, dynamic> toJSON() => {
    'title': title,
    'action': action.toJSON()
  };

  @override
  String toString() {
    return 'ActivityButton{'
        'title: $title, '
        'action: $action,'
        '}';
  }

}