import '../common/codable.dart';
import '../common/userid.dart';
import '../src/communitiesids.dart';

class PostActivityTarget extends Encodable {

  CommunitiesIds ids;

  PostActivityTarget(CommunitiesIds ids) {
    this.ids = ids;
  }

  static PostActivityTarget topic(String id) {
    return PostActivityTarget(CommunitiesIds.topic(id));
  }

  static PostActivityTarget timeline() {
    return PostActivityTarget(CommunitiesIds.user(UserId.currentUser()));
  }

  static PostActivityTarget comment(String activityId) {
    return PostActivityTarget(CommunitiesIds.activity(activityId));
  }

  Map<String, dynamic> toJSON() => {
    'ids': ids.toJSON(),
  };

}